org.apache.cassandra.tracing

## Class ExpiredTraceState

- java.lang.Object
- - org.apache.cassandra.tracing.TraceState
  - - org.apache.cassandra.tracing.ExpiredTraceState

-     public class ExpiredTraceState
      extends TraceState

- - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.tracing.TraceState

      `coordinator, sessionId, sessionIdBytes, watch`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpiredTraceState(java.util.UUID sessionId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `elapsed()`

    - ### Methods inherited from class org.apache.cassandra.tracing.TraceState

      `acquireReference, releaseReference, trace, trace, trace, trace, trace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpiredTraceState

          public ExpiredTraceState(java.util.UUID sessionId)

  - ### Method Detail

    - #### elapsed

          public int elapsed()

      Overrides:
        `elapsed` in class `TraceState`

Copyright © 2014 The Apache Software Foundation